## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface SQLAccessControlFactory

All Known Implementing Classes:
  SQLAccessControlFactoryImpl

public interface SQLAccessControlFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLAccessControlPackage`

Field Summary
`static SQLAccessControlFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Group` `createGroup()` Returns a new object of class 'Group'.
`Privilege` `createPrivilege()` Returns a new object of class 'Privilege'.
`Role` `createRole()` Returns a new object of class 'Role'.
`RoleAuthorization` `createRoleAuthorization()` Returns a new object of class 'Role Authorization'.
`User` `createUser()` Returns a new object of class 'User'.
`SQLAccessControlPackage` `getSQLAccessControlPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    public static final SQLAccessControlFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createPrivilege

    public Privilege createPrivilege()

  Returns a new object of class 'Privilege'.

  Returns:
    a new object of class 'Privilege'.

### createGroup

    public Group createGroup()

  Returns a new object of class 'Group'.

  Returns:
    a new object of class 'Group'.

### createUser

    public User createUser()

  Returns a new object of class 'User'.

  Returns:
    a new object of class 'User'.

### createRole

    public Role createRole()

  Returns a new object of class 'Role'.

  Returns:
    a new object of class 'Role'.

### createRoleAuthorization

    public RoleAuthorization createRoleAuthorization()

  Returns a new object of class 'Role Authorization'.

  Returns:
    a new object of class 'Role Authorization'.

### getSQLAccessControlPackage

    public SQLAccessControlPackage getSQLAccessControlPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.